Index: code/branches/cegui0.8/data/gui/schemes/VanillaLook.scheme
===================================================================
--- code/branches/cegui0.8/data/gui/schemes/VanillaLook.scheme	(revision 11110)
+++ code/branches/cegui0.8/data/gui/schemes/VanillaLook.scheme	(revision 11118)
@@ -1,53 +1,47 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="VanillaLook">
-    <Imageset Name="Vanilla-Images" Filename="Vanilla.imageset" />
-    <Imageset Name="TaharezLook"    Filename="TaharezLook.imageset" />
-    <LookNFeel Filename="Vanilla.looknfeel" />
-    <LookNFeel Filename="TaharezLook.looknfeel" />
-    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
-
-    <!-- Standard widgets -->
-    <FalagardMapping WindowType="Vanilla/StaticImage"              TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="Vanilla/StaticImage" />
-    <FalagardMapping WindowType="Vanilla/StaticText"               TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="Vanilla/StaticText" />
-    <FalagardMapping WindowType="Vanilla/Editbox"                  TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="Vanilla/Editbox" />
-    <FalagardMapping WindowType="Vanilla/FrameWindow"              TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="Vanilla/FrameWindow" />
-    <FalagardMapping WindowType="Vanilla/Listbox"                  TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="Vanilla/Listbox" />
-    <FalagardMapping WindowType="Vanilla/MultiLineEditbox"         TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="Vanilla/MultiLineEditbox" />
-    <FalagardMapping WindowType="Vanilla/Button"                   TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="Vanilla/Button" />
-    <FalagardMapping WindowType="Vanilla/HorizontalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="Vanilla/HorizontalScrollbar" />
-    <FalagardMapping WindowType="Vanilla/VerticalScrollbar"        TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="Vanilla/VerticalScrollbar" />
-    <FalagardMapping WindowType="Vanilla/HorizontalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="Vanilla/HorizontalScrollbarThumb" />
-    <FalagardMapping WindowType="Vanilla/VerticalScrollbarThumb"   TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="Vanilla/VerticalScrollbarThumb" />
-    <FalagardMapping WindowType="Vanilla/Titlebar"                 TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="Vanilla/Titlebar" />
-
-    <!-- Missing widgets (using Taharez LookNFeel) -->
-    <FalagardMapping WindowType="Vanilla/TabButtonPane"            TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabButtonPane" />
-    <FalagardMapping WindowType="Vanilla/TabContentPane"           TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabContentPane" />
-    <FalagardMapping WindowType="Vanilla/Checkbox"                 TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/Checkbox" />
-    <FalagardMapping WindowType="Vanilla/Combobox"                 TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/Combobox" />
-    <FalagardMapping WindowType="Vanilla/ComboDropList"            TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/ComboDropList" />
-    <FalagardMapping WindowType="Vanilla/ComboEditbox"             TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/ComboEditbox" />
-    <FalagardMapping WindowType="Vanilla/GroupBox"                 TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/GroupBox" />
-    <FalagardMapping WindowType="Vanilla/ItemListbox"              TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezLook/ItemListbox" />
-    <FalagardMapping WindowType="Vanilla/ListboxItem"              TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezLook/ListboxItem" />
-    <FalagardMapping WindowType="Vanilla/ListHeader"               TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="TaharezLook/ListHeader" />
-    <FalagardMapping WindowType="Vanilla/ListHeaderSegment"        TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="TaharezLook/ListHeaderSegment" />
-    <FalagardMapping WindowType="Vanilla/Menubar"                  TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="TaharezLook/Menubar" />
-    <FalagardMapping WindowType="Vanilla/MenuItem"                 TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="TaharezLook/MenuItem" />
-    <FalagardMapping WindowType="Vanilla/MultiColumnList"          TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="TaharezLook/MultiColumnList" />
-    <FalagardMapping WindowType="Vanilla/PopupMenu"                TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="TaharezLook/PopupMenu" />
-    <FalagardMapping WindowType="Vanilla/ProgressBar"              TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/ProgressBar" />
-    <FalagardMapping WindowType="Vanilla/ImageButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
-    <FalagardMapping WindowType="Vanilla/RadioButton"              TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/RadioButton" />
-    <FalagardMapping WindowType="Vanilla/SystemButton"             TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="TaharezLook/Button" />
-    <FalagardMapping WindowType="Vanilla/ScrollablePane"           TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="TaharezLook/ScrollablePane" />
-    <FalagardMapping WindowType="Vanilla/Slider"                   TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="TaharezLook/Slider" />
-    <FalagardMapping WindowType="Vanilla/Spinner"                  TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/Spinner" />
-    <FalagardMapping WindowType="Vanilla/TabButton"                TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="TaharezLook/TabButton" />
-    <FalagardMapping WindowType="Vanilla/TabControl"               TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="TaharezLook/TabControl" />
-    <FalagardMapping WindowType="Vanilla/SliderThumb"              TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/SliderThumb" />
-    <FalagardMapping WindowType="Vanilla/Tooltip"                  TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="TaharezLook/Tooltip" />
-    <FalagardMapping WindowType="Vanilla/Tree"                     TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
-    
-    <!-- Additional widgets -->
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="VanillaLook" version="5">
+    <Imageset filename="Vanilla.imageset" name="Vanilla-Images" />
+    <Imageset filename="TaharezLook.imageset" name="TaharezLook" />
+    <LookNFeel filename="Vanilla.looknfeel" />
+    <LookNFeel filename="TaharezLook.looknfeel" />
+    <WindowRendererSet filename="CEGUICoreWindowRendererSet" />
+    <FalagardMapping lookNFeel="Vanilla/StaticImage" renderer="Core/StaticImage" targetType="DefaultWindow" windowType="Vanilla/StaticImage" />
+    <FalagardMapping lookNFeel="Vanilla/StaticText" renderer="Core/StaticText" targetType="DefaultWindow" windowType="Vanilla/StaticText" />
+    <FalagardMapping lookNFeel="Vanilla/Editbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="Vanilla/Editbox" />
+    <FalagardMapping lookNFeel="Vanilla/FrameWindow" renderer="Core/FrameWindow" targetType="CEGUI/FrameWindow" windowType="Vanilla/FrameWindow" />
+    <FalagardMapping lookNFeel="Vanilla/Listbox" renderer="Core/Listbox" targetType="CEGUI/Listbox" windowType="Vanilla/Listbox" />
+    <FalagardMapping lookNFeel="Vanilla/MultiLineEditbox" renderer="Core/MultiLineEditbox" targetType="CEGUI/MultiLineEditbox" windowType="Vanilla/MultiLineEditbox" />
+    <FalagardMapping lookNFeel="Vanilla/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="Vanilla/Button" />
+    <FalagardMapping lookNFeel="Vanilla/HorizontalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="Vanilla/HorizontalScrollbar" />
+    <FalagardMapping lookNFeel="Vanilla/VerticalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="Vanilla/VerticalScrollbar" />
+    <FalagardMapping lookNFeel="Vanilla/HorizontalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="Vanilla/HorizontalScrollbarThumb" />
+    <FalagardMapping lookNFeel="Vanilla/VerticalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="Vanilla/VerticalScrollbarThumb" />
+    <FalagardMapping lookNFeel="Vanilla/Titlebar" renderer="Core/Titlebar" targetType="CEGUI/Titlebar" windowType="Vanilla/Titlebar" />
+    <FalagardMapping lookNFeel="TaharezLook/TabButtonPane" renderer="Core/Default" targetType="DefaultWindow" windowType="Vanilla/TabButtonPane" />
+    <FalagardMapping lookNFeel="TaharezLook/TabContentPane" renderer="Core/Default" targetType="DefaultWindow" windowType="Vanilla/TabContentPane" />
+    <FalagardMapping lookNFeel="TaharezLook/Checkbox" renderer="Core/ToggleButton" targetType="CEGUI/ToggleButton" windowType="Vanilla/Checkbox" />
+    <FalagardMapping lookNFeel="TaharezLook/Combobox" renderer="Core/Default" targetType="CEGUI/Combobox" windowType="Vanilla/Combobox" />
+    <FalagardMapping lookNFeel="TaharezLook/ComboDropList" renderer="Core/Listbox" targetType="CEGUI/ComboDropList" windowType="Vanilla/ComboDropList" />
+    <FalagardMapping lookNFeel="TaharezLook/ComboEditbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="Vanilla/ComboEditbox" />
+    <FalagardMapping lookNFeel="TaharezLook/GroupBox" renderer="Core/Default" targetType="CEGUI/GroupBox" windowType="Vanilla/GroupBox" />
+    <FalagardMapping lookNFeel="TaharezLook/ItemListbox" renderer="Core/ItemListbox" targetType="CEGUI/ItemListbox" windowType="Vanilla/ItemListbox" />
+    <FalagardMapping lookNFeel="TaharezLook/ListboxItem" renderer="Core/ItemEntry" targetType="CEGUI/ItemEntry" windowType="Vanilla/ListboxItem" />
+    <FalagardMapping lookNFeel="TaharezLook/ListHeader" renderer="Core/ListHeader" targetType="CEGUI/ListHeader" windowType="Vanilla/ListHeader" />
+    <FalagardMapping lookNFeel="TaharezLook/ListHeaderSegment" renderer="Core/ListHeaderSegment" targetType="CEGUI/ListHeaderSegment" windowType="Vanilla/ListHeaderSegment" />
+    <FalagardMapping lookNFeel="TaharezLook/Menubar" renderer="Core/Menubar" targetType="CEGUI/Menubar" windowType="Vanilla/Menubar" />
+    <FalagardMapping lookNFeel="TaharezLook/MenuItem" renderer="Core/MenuItem" targetType="CEGUI/MenuItem" windowType="Vanilla/MenuItem" />
+    <FalagardMapping lookNFeel="TaharezLook/MultiColumnList" renderer="Core/MultiColumnList" targetType="CEGUI/MultiColumnList" windowType="Vanilla/MultiColumnList" />
+    <FalagardMapping lookNFeel="TaharezLook/PopupMenu" renderer="Core/PopupMenu" targetType="CEGUI/PopupMenu" windowType="Vanilla/PopupMenu" />
+    <FalagardMapping lookNFeel="TaharezLook/ProgressBar" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="Vanilla/ProgressBar" />
+    <FalagardMapping lookNFeel="TaharezLook/ImageButton" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="Vanilla/ImageButton" />
+    <FalagardMapping lookNFeel="TaharezLook/RadioButton" renderer="Core/ToggleButton" targetType="CEGUI/RadioButton" windowType="Vanilla/RadioButton" />
+    <FalagardMapping lookNFeel="TaharezLook/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="Vanilla/SystemButton" />
+    <FalagardMapping lookNFeel="TaharezLook/ScrollablePane" renderer="Core/ScrollablePane" targetType="CEGUI/ScrollablePane" windowType="Vanilla/ScrollablePane" />
+    <FalagardMapping lookNFeel="TaharezLook/Slider" renderer="Core/Slider" targetType="CEGUI/Slider" windowType="Vanilla/Slider" />
+    <FalagardMapping lookNFeel="TaharezLook/Spinner" renderer="Core/Default" targetType="CEGUI/Spinner" windowType="Vanilla/Spinner" />
+    <FalagardMapping lookNFeel="TaharezLook/TabButton" renderer="Core/TabButton" targetType="CEGUI/TabButton" windowType="Vanilla/TabButton" />
+    <FalagardMapping lookNFeel="TaharezLook/TabControl" renderer="Core/TabControl" targetType="CEGUI/TabControl" windowType="Vanilla/TabControl" />
+    <FalagardMapping lookNFeel="TaharezLook/SliderThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="Vanilla/SliderThumb" />
+    <FalagardMapping lookNFeel="TaharezLook/Tooltip" renderer="Core/Tooltip" targetType="CEGUI/Tooltip" windowType="Vanilla/Tooltip" />
+    <FalagardMapping lookNFeel="TaharezLook/Tree" renderer="Core/Tree" targetType="CEGUI/Tree" windowType="Vanilla/Tree" />
 </GUIScheme>
